Initiate DMT-Levin Transaction

Initiate a DMT transaction to a bank account.

tx_statustxstatus_desc
0Success
1Fail
2Initiated
3Refund Pending
4Refunded
5Hold (Transaction Inquiry Needed)

In case if any other value is returned in tx_status parameter then the transaction should be treated as initiated and transaction inquiry should be done until final status is received.

❗️

Transaction Timeout

A transaction can timeout due to multiple reasons, such as, bad internet connection or slow response from the partner bank. In such cases, transaction should not be treated as declined or failed. Ideally, it should be inquired using the Transaction Inquiry API by the passing your own reference number, i.e., client_ref_id.


❗️

For Refund

When the transaction fails, we automatically send an OTP to the customer.
Ask for that OTP from the customer and call the Get Refund OTP API.
This will act as a consent that you have actually refunded back the cash to the customer. After this API call, we will refund the eValue into your account.

Body Params
int32
required

Your registered mobile number (See Platform Credentials for UAT)

string
required

User code value of the retailer from whom the request is coming

int32
required

Unique ID generated while adding the recipient

int32
required

The amount that needs to be transferred.

date-time
required

A timestamp represents a specific date and time.

string
required

currency=INR

string
required

Mobile number of the Sender

string
required

Unique reference number of your system, please make this ID as unique as possible so that it does not match with any other partner unique reference id.

int32
required
Defaults to 2

Send the fixed value 2.

string
required

latlong of the user from whom the request is coming. We are asking this details in case any fraud happens so please make sure to pass the valid location of the merchant's system.

string
required

state=1

int32
required
Defaults to 1

Send a fixed value of 1

string
required

The otp received from the 'SEND TRANSACTION OTP' API.

string
required

This is the value received from the 'SEND TRANSACTION OTP' API.

Headers
string
required

Your unique API key that will authenticate your request. For UAT, refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json